#!/bin/ksh

#**************************************************************
# Author: Martial Mancip
# Contact: Martial.Mancip__at__ipsl.jussieu.fr
# $Revision::                                          $ Revision of last commit
# $Author::                                            $ Author of last commit
# $Date::                                              $ Date of last commit
# IPSL (2006)
#  This software is governed by the CeCILL licence see libIGCM/libIGCM_CeCILL.LIC
#
#**************************************************************

# bypass specific internationalization (for awk)
export LC_ALL="C"

# By default, all libIGCM_sys save functions will protect output datas (RUN execution mode)
# other values : DEB(ug), DEV(elopment).
JobType=${JobType:=RUN}

echo
echo "===================================================="
echo "Where do we run ?" $( hostname )
uname -a
echo "===================================================="
echo


if [ X${JobType} = XDEB ] ; then
    echo "DEBUG mode : activation of 'set -vx' mode."
    set -vx
    DEBUG_debug=true
    DEBUG_sys=true
    echo "===================================================="
fi

#====================================================
#- set PackDefault false by default
PackDefault=false

# variable that must have lower case value.
typeset -l config_Post_RebuildFromArchive

case $( hostname -s ) in

    ada*)
        echo "sys source ada Intel X-64 lib."
        . ${libIGCM}/libIGCM_sys/libIGCM_sys_ada.ksh;;

    mercure0?)
        echo "sys source mercure frontend X-64 lib."
        . ${libIGCM}/libIGCM_sys/libIGCM_sys_mercure.ksh;;

    mercure2?)
        echo "sys source mercure Nec SX9 lib."
        . ${libIGCM}/libIGCM_sys/libIGCM_sys_mercurex9.ksh;;

    curie*)
       echo "sys source curie Intel X-64 lib."
       . ${libIGCM}/libIGCM_sys/libIGCM_sys_curie.ksh;;

    titane*)
        echo "sys source titane Intel X-64 lib."
        . ${libIGCM}/libIGCM_sys/libIGCM_sys_titane.ksh;;

    obelix*)
        echo "sys source obelix lib."
        . ${libIGCM}/libIGCM_sys/libIGCM_sys_obelix.ksh;;
    iitm*)
        echo "sys source iitm lib."
        . ${libIGCM}/libIGCM_sys/libIGCM_sys_iitm.ksh;;
    *)
        echo "sys source default lib."
        . ${libIGCM}/libIGCM_sys/libIGCM_sys_default.ksh;;
esac

# Set default umask (umask is 0027 on some machines : CCRT machine at least)
umask 0022
